| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommandLineOption Struct Reference

Representation of a commandline option. More...

`#include <csutil/cmdline.h>`

List of all members.

## Public Member Functions
| csCommandLineOption (char *iName, char *iValue)
| Name and Value should be already allocated.
| ~csCommandLineOption ()
| Destructor.
## Public Attributes
char * | Name
| Option name.
char * | Value
| Option value.

## Detailed Description

Representation of a commandline option.

Definition at line 34 of file cmdline.h.

## Constructor & Destructor Documentation

csCommandLineOption::csCommandLineOption | ( | char * | iName,
|  | char * | iValue |
| ) |  |  | `[inline]`

Name and Value should be already allocated.

Definition at line 41 of file cmdline.h.

csCommandLineOption::~csCommandLineOption | ( |  | ) | `[inline]`

Destructor.

Definition at line 47 of file cmdline.h.

## Member Data Documentation

char* csCommandLineOption::Name

Option name.

Definition at line 37 of file cmdline.h.

char* csCommandLineOption::Value

Option value.

Definition at line 39 of file cmdline.h.

The documentation for this struct was generated from the following file:

- csutil/cmdline.h